clang 10.0.0git

Static Public Member Functions | List of all members
clang::ento::Checker< CHECK1, CHECKs > Class Template Reference

`#include "clang/StaticAnalyzer/Core/Checker.h"`

Inheritance diagram for clang::ento::Checker< CHECK1, CHECKs >:
[legend]
Collaboration diagram for clang::ento::Checker< CHECK1, CHECKs >:
[legend]

## Static Public Member Functions
template<typename CHECKER >
static void | _register (CHECKER *checker, CheckerManager &mgr)

## Additional Inherited Members
Public Member Functions inherited from clang::ento::CheckerBase
StringRef | getTagDescription () const override
CheckerNameRef | getCheckerName () const
virtual void | printState (raw_ostream &Out, ProgramStateRef State, const char *NL, const char *Sep) const
| See CheckerManager::runCheckersForPrintState. More...
Public Member Functions inherited from clang::ProgramPointTag
| ProgramPointTag (void *tagKind=nullptr)
virtual | ~ProgramPointTag ()
const void * | getTagKind () const
| Used to implement 'isKind' in subclasses. More...

## Detailed Description

### template<typename CHECK1, typename... CHECKs>
class clang::ento::Checker< CHECK1, CHECKs >

Definition at line 517 of file Checker.h.

## Member Function Documentation

## ◆ _register()

template<typename CHECK1, typename... CHECKs>
template<typename CHECKER >

static void clang::ento::Checker< CHECK1, CHECKs >::_register | ( | CHECKER * | checker,
|  | CheckerManager & | mgr
| ) |  |
| inline static

Definition at line 520 of file Checker.h.

Referenced by clang::ento::Checker< check::PreCall, check::DeadSymbols >::_register().

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/Checker.h